# $Revision: 1.10 $, $Date: 2011/11/11 07:52:15 $
Summary:	Python module for MusicBrainz 2nd generation
Summary(pl.UTF-8):	Moduł języka Python dla MusicBrainz drugiej generacji
Name:		python-musicbrainz2
Version:	0.7.4
Release:	1
License:	BSD
Group:		Development/Languages/Python
Source0:	http://ftp.musicbrainz.org/pub/musicbrainz/python-musicbrainz2/%{name}-%{version}.tar.gz
# Source0-md5:	40ac802d832deca737cce57235cb23a5
URL:		http://musicbrainz.org/doc/PythonMusicBrainz2
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
%pyrequires_eq	python-modules
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The package python-musicbrainz2 is a client library written in python,
which provides easy object oriented access to the MusicBrainz Database
using the XMLWebService. It has been written from scratch and uses a
different model than PythonMusicbrainz, the first generation Python
bindings.

%description -l pl.UTF-8
Pakiet python-musicbrainz2 jest biblioteką napisaną w pythonie, która
dostarcza łatwy obiektowo zorientowany dostęp do bazy MusicBrainz przy
użyciu XMLWebService. Został napisany od zera i wykorzystuje inny
model niż PythonMusicbrainz - wiązania Pythona pierwszej generacji.

%prep
%setup -q

%build
find -type f -exec sed -i -e 's|#!.*python.*|#!%{_bindir}/python|g' "{}" ";"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__python} ./setup.py install \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

install examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS.txt CHANGES.txt COPYING.txt README.txt
%attr(755,root,root) %{_bindir}/mb-submit-disc
%{py_sitescriptdir}/musicbrainz2
%{py_sitescriptdir}/python_musicbrainz2-*.egg-info
%{_examplesdir}/%{name}-%{version}

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-musicbrainz2.spec,v $
Revision 1.10  2011/11/11 07:52:15  qboosh
- updated to 0.7.4

Revision 1.9  2010/07/08 08:22:54  arekm
- release 2

Revision 1.8  2010/06/15 21:30:07  arvenil
- up to 0.7.2

Revision 1.7  2009/10/18 20:21:31  wiget
- 0.7.0

Revision 1.6  2008/11/11 14:29:26  arvenil
- new URL
- adapter

Revision 1.5  2008/10/03 17:54:05  arekm
- release 2

Revision 1.4  2008/07/12 03:37:52  qboosh
- updated to 0.6.0

Revision 1.3  2007/08/29 20:28:58  qboosh
- updated to 0.5.0
- assume python 2.5 with included ctypes
- License is (3-clause) BSD

Revision 1.2  2007/03/16 09:36:29  qboosh
- cosmetics, finished pl

Revision 1.1  2007/03/10 12:15:25  jasw
- initial
